<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__string__func" kind="group">
    <compoundname>group_string_func</compoundname>
    <title>String conversion functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__string__func_1ga98fd7b096c4a81eebf0955b0b32c86b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cy_generic_string_to_unsigned</definition>
        <argsstring>(const char *str)</argsstring>
        <name>cy_generic_string_to_unsigned</name>
        <param>
          <type>const char *</type>
          <declname>str</declname>
        </param>
        <briefdescription>
<para>Convert a decimal or hexidecimal string to an integer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">str</parametername>
</parameternamelist>
<parameterdescription>
<para>The string containing the value.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The value represented by the string. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="37" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__string__func_1ga430e6dd6a7c7742d6519d590df60ddfb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t cy_string_to_signed</definition>
        <argsstring>(const char *string, uint16_t str_length, int32_t *value_out, uint8_t is_hex)</argsstring>
        <name>cy_string_to_signed</name>
        <param>
          <type>const char *</type>
          <declname>string</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>str_length</declname>
        </param>
        <param>
          <type>int32_t *</type>
          <declname>value_out</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>is_hex</declname>
        </param>
        <briefdescription>
<para>Converts a decimal/hexidecimal string (with optional sign) to a signed long int Better than strtol or atol or atoi because the return value indicates if an error occurred. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">string</parametername>
</parameternamelist>
<parameterdescription>
<para>: The string buffer to be converted </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">str_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: The maximum number of characters to process in the string buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: The unsigned in that will receive value of the the decimal string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_hex</parametername>
</parameternamelist>
<parameterdescription>
<para>: 0 = Decimal string, 1 = Hexidecimal string</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the number of characters successfully converted (including sign). i.e. 0 = error </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__string__func_1gaef4a65ee7f6454d38bdb5342ed24089e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t cy_string_to_unsigned</definition>
        <argsstring>(const char *string, uint8_t str_length, uint32_t *value_out, uint8_t is_hex)</argsstring>
        <name>cy_string_to_unsigned</name>
        <param>
          <type>const char *</type>
          <declname>string</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>str_length</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value_out</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>is_hex</declname>
        </param>
        <briefdescription>
<para>Converts a decimal/hexidecimal string to an unsigned long int Better than strtol or atol or atoi because the return value indicates if an error occurred. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">string</parametername>
</parameternamelist>
<parameterdescription>
<para>: The string buffer to be converted </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">str_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: The maximum number of characters to process in the string buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: The unsigned in that will receive value of the the decimal string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_hex</parametername>
</parameternamelist>
<parameterdescription>
<para>: 0 = Decimal string, 1 = Hexidecimal string</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the number of characters successfully converted. i.e. 0 = error </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The string utilities module is a collection of string conversion helpers to convert between integer and strings. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>